[gobolinux-users] Gobohide not compatible with Linux 3.6

Z.B. zbigniew2011 at gmail.com
Fri Oct 5 01:04:47 NZDT 2012


fs/gobohide.c: In function 'gobohide_inode_add':
fs/gobohide.c:292:2: warning: passing argument 1 of 'dentry_open' from incompatible pointer type
include/linux/fs.h:2203:22: note: expected 'const struct path *' but argument is of type 'struct dentry *'
fs/gobohide.c:292:2: warning: passing argument 2 of 'dentry_open' makes integer from pointer without a cast
include/linux/fs.h:2203:22: note: expected 'int' but argument is of type 'struct vfsmount *'
fs/gobohide.c:292:2: error: too many arguments to function 'dentry_open'
include/linux/fs.h:2203:22: note: declared here
fs/gobohide.c: In function 'gobohide_inode_del':
fs/gobohide.c:363:2: warning: passing argument 1 of 'dentry_open' from incompatible pointer type
include/linux/fs.h:2203:22: note: expected 'const struct path *' but argument is of type 'struct dentry *'
fs/gobohide.c:363:2: warning: passing argument 2 of 'dentry_open' makes integer from pointer without a cast
include/linux/fs.h:2203:22: note: expected 'int' but argument is of type 'struct vfsmount *'
fs/gobohide.c:363:2: error: too many arguments to function 'dentry_open'
include/linux/fs.h:2203:22: note: declared here
make[1]: *** [fs/gobohide.o] Error 1
make: *** [fs] Error 2
ldconfig: /System/Links/Libraries/libstdc++.so.6.0.14-gdb.py is not an ELF file - it has the wrong magic bytes at the start.

Compile: Linux 3.6.0 - Build process failed.

-- 
regards,
Zbigniew


More information about the gobolinux-users mailing list